- MongoDB C Driver 1.9.3-dev »
- API Reference »
- mongoc_gridfs_file_t

# mongoc_gridfs_file_save()

## Synopsis

    bool
    mongoc_gridfs_file_save (mongoc_gridfs_file_t *file);

## Parameters

- `file`: A mongoc_gridfs_file_t.

## Description

Saves modifications to `file` to the MongoDB server.

If an error occurred, false is returned and the error can be retrieved with mongoc_gridfs_file_error().

## Returns

Returns true if successful, otherwise false.

Created using Sphinx 1.6.6, based on Sphinx Readable Theme.